summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ozan Türkyılmaz2011-07-27 01:16:58 +0200
committer Niels Horn2011-08-12 01:28:35 +0200
commitf6f62fd8f3a881c8b518807a587e92ea017e1440 (patch)
tree5e729bdc6941b59648cbd672e029a95f5fe13852
parent0b8dbff05557765923cf362ffdf25abec858b11e (diff)
downloadslackbuilds-f6f62fd8f3a881c8b518807a587e92ea017e1440.tar.gz
libraries/libupnp: Added (Portable SDK for UPnP Devices)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/libupnp/README7
-rw-r--r--libraries/libupnp/libupnp.SlackBuild106
-rw-r--r--libraries/libupnp/libupnp.info10
-rw-r--r--libraries/libupnp/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/libraries/libupnp/README b/libraries/libupnp/README
new file mode 100644
index 0000000000..c08cee14c5
--- /dev/null
+++ b/libraries/libupnp/README
@@ -0,0 +1,7 @@
+The portable SDK for UPnP™ Devices (libupnp) provides developers with
+an API and open source code for building control points, devices, and
+bridges that are compliant with Version 1.0 of the Universal Plug and
+Play Device Architecture Specification and support several operating
+systems like Linux, *BSD, Solaris and others.
+
+Pass STATIC=yes for static libraries; Pass IPV6=yes for ipv6 support.
diff --git a/libraries/libupnp/libupnp.SlackBuild b/libraries/libupnp/libupnp.SlackBuild
new file mode 100644
index 0000000000..6b6f697569
--- /dev/null
+++ b/libraries/libupnp/libupnp.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for libupnp
+# Written by Ozan Türkyılmaz ozan.turkyilmaz@gmail.com
+
+# Copyright 2010 Ozan Türkyılmaz İstanbul, TUR
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libupnp
+VERSION=${VERSION:-1.6.13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+[ "${STATIC:-no}" != "no" ] && ENABLESTATIC=yes || ENABLESTATIC=no
+[ "${IPV6:-no}" != "no" ] && ENABLEIPV6=yes || ENABLEIPV6=no
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-shared=yes \
+ --enable-static=$ENABLESTATIC \
+ --enable-ipv6=$ENABLEIPV6 \
+ --with-documentation=/usr/doc/libupnp-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS LICENSE THANKS TODO COPYING INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libupnp/libupnp.info b/libraries/libupnp/libupnp.info
new file mode 100644
index 0000000000..37e4cbae1a
--- /dev/null
+++ b/libraries/libupnp/libupnp.info
@@ -0,0 +1,10 @@
+PRGNAM="libupnp"
+VERSION="1.6.13"
+HOMEPAGE="http://pupnp.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/pupnp/libupnp-1.6.13.tar.bz2"
+MD5SUM="71476b1781ad179bfc9bead640be5f54"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ozan Türkyılmaz"
+EMAIL="ozan.turkyilmaz@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/libupnp/slack-desc b/libraries/libupnp/slack-desc
new file mode 100644
index 0000000000..6adbb4c9e9
--- /dev/null
+++ b/libraries/libupnp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libupnp: libupnp (Portable SDK for UPnP Devices)
+libupnp:
+libupnp: The portable SDK for UPnP Devices (libupnp) provides developers with
+libupnp: an API and open source code for building control points, devices, and
+libupnp: bridges that are compliant with Version 1.0 of the Universal Plug and
+libupnp: Play Device Architecture Specification and support several operating
+libupnp: systems like Linux, *BSD, Solaris and others.
+libupnp:
+libupnp: libupnp is used in UPnP implentations in Open Source projects over the
+libupnp: World. It is 100% compatible fork of original libupnp.
+libupnp: